package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag792;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT792Creator;

public class Tag11SCreator extends AbsTagCreate {
    private MT792Creator mt792Creator;

    public Tag11SCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt792Creator= (MT792Creator) absMTCreator;
    }

    public void creator()
    {
        String tag11SValue = mt792Creator.getMtandDateoftheOriginalMessage();
        mt792Creator.set("11S", tag11SValue);
    }
}
